#
# spec file for package xfce4-panel-plugin-cpufreq
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define panel_version 4.10.0
%define plugin_name xfce4-cpufreq-plugin
Name:           xfce4-panel-plugin-cpufreq
Version:        1.1.2
Release:        4.2
Summary:        CPU Frequency Scaling Monitor Plugin for the Xfce Panel
License:        GPL-2.0+
Group:          System/GUI/XFCE
Url:            http://goodies.xfce.org/projects/panel-plugins/xfce4-cpufreq-plugin
Source0:        http://archive.xfce.org/src/panel-plugins/%{plugin_name}/1.1/%{plugin_name}-%{version}.tar.bz2
BuildRequires:  fdupes
BuildRequires:  intltool
BuildRequires:  pkgconfig(gthread-2.0)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(libxfce4panel-1.0)
BuildRequires:  pkgconfig(libxfce4ui-1)
BuildRequires:  pkgconfig(libxfce4util-1.0)
Requires:       xfce4-panel >= %{panel_version}
Recommends:     %{name}-lang = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The CpuFreq scaling monitor plugin can be used to monitor the current CPU
frequency and currently active governor.

%lang_package

%prep
%setup -q -n %{plugin_name}-%{version}

%build
%configure --disable-static
make %{?_smp_mflags} V=1

%install
%make_install

rm %{buildroot}%{_libdir}/xfce4/panel/plugins/libcpufreq.la

%find_lang %{plugin_name} %{name}.lang %{?no_lang_C}

%fdupes %{buildroot}%{_datadir}

%post
%icon_theme_cache_post

%postun
%icon_theme_cache_postun

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/xfce4/panel/plugins/libcpufreq.so*
%{_datadir}/icons/hicolor/*/apps/xfce4-cpufreq-plugin.*
%{_datadir}/xfce4/panel/plugins/cpufreq.desktop

%files lang -f %{name}.lang
%defattr(-,root,root)

%changelog
* Tue Jun 23 2015 gber@opensuse.org
- update to version 1.1.2
  - fix IT_PROG_INTLTOOL warning
  - translation updates
* Tue Dec 23 2014 gber@opensuse.org
- update to version 1.1.1
  - fix panel resizing caused by freq format function (bxo#10385)
  - various other widget layout fixes and simplifications
  - fix missing return type of cpufreq_show_about (bxo#10343)
  - fix typo in panel-plugin/Makefile.am (bxo#10332)
  - various other fixes to the build system
  - many translation updates
- remove obsolete
  xfce4-panel-plugin-cpufreq-fix-missing-return-type.patch
* Sun Sep  8 2013 gber@opensuse.org
- update to version 1.1.0
  - support the Intel performance state driver
  - improve config dialog and use mnemonics
  - add a proper "About" dialog
  - add min, avg and max frequencies in cpu selection
  - add support for selecting a custom font
  - support showing icon only
  - improve overview window size and layout
  - remove code for showing the frame
  - rewrite layout code using >=xfce4-panel-4.9 features
  - remove code for deprecated APIs and <xfce4-panel-4.9
  - build plugin as a module
  - fix showing frequency of wrong CPU core
  - fix reading min frequency from cpufreq sysfs
  - support panel 4.9 features (deskbar mode)
  - port plugin to libxfce4ui
  - code clean up and refactoring
  - updates and fixes for build system files
- drop obsolete
  xfce4-panel-plugin-cpufreq-correctly-refresh-core.patch
- add xfce4-panel-plugin-cpufreq-fix-missing-return-type.patch in
  order to fix a missing return type (bxo#10343)
* Fri Apr 20 2012 gber@opensuse.org
- added documentation files
* Tue Apr 17 2012 gber@opensuse.org
- corrected source URL
* Tue Apr  3 2012 gber@opensuse.org
- added xfce4-panel-plugin-cpufreq-correctly-refresh-core.patch in
  order to correctly refresh the selected core rather than always
  the last one (bxo#7179)
* Tue Apr  3 2012 gber@opensuse.org
- specfile cleanup
- correct dependencies
- split off -lang subpackage
* Wed Mar  9 2011 gber@opensuse.org
- new package (split off from xfce4-panel-plugins)
